summaryrefslogtreecommitdiffstats
path: root/tests/ipedma/ipecamera-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ipedma/ipecamera-test.sh')
-rwxr-xr-xtests/ipedma/ipecamera-test.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/ipedma/ipecamera-test.sh b/tests/ipedma/ipecamera-test.sh
new file mode 100755
index 0000000..e700884
--- /dev/null
+++ b/tests/ipedma/ipecamera-test.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+size=65536
+
+function pci {
+ PCILIB_PATH=`pwd`/../../..
+ LD_LIBRARY_PATH="$PCILIB_PATH" $PCILIB_PATH/pci -m ipedma $*
+}
+
+
+rm -f bench.out
+
+pci --stop-dma dma0r
+
+
+# Configuring DDR
+pci -w 0x9100 0x00001000
+#pci -w 0x9040 0x88000201
+#usleep 90000
+pci -w 0x9040 0x88000201
+
+pci --start-dma dma0r
+
+
+# Clean DMA buffers
+#while [ $? -eq 0 ]; do
+# pci -r dma0 -s 65536 &> /dev/null
+#done
+
+for i in `seq 1 100`; do
+ pci -r dma0 --multipacket -s $size -o bench.out
+ if [ $? -ne 0 ]; then
+# pci --stop-dma dma0r
+ exit
+ fi
+done
+
+pci --stop-dma dma0r
+
+../../../apps/check_counter bench.out